## NAME

CURLINFO_FILETIME - get the remote time of the retrieved document

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_FILETIME, long *timep);

## DESCRIPTION

Pass a pointer to a long to receive the remote time of the retrieved document (in number of seconds since 1 jan 1970 in the GMT/UTC time zone). If you get -1, it can be because of many reasons (it might be unknown, the server might hide it or the server doesn't support the command that tells document time etc) and the time of the document is unknown.

Note that you must tell the server to collect this information before the transfer is made, by using the CURLOPT_FILETIME option to curl_easy_setopt(3) or you will unconditionally get a -1 back.

## PROTOCOLS

HTTP(S), FTP(S)

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.5

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

curl_easy_getinfo (3), curl_easy_setopt (3)

This HTML page was made with roffit.